=== lib/fab/vendor/Eigen/src/Eigenvalues/CMakeLists.txt ===
FILE(GLOB Eigen_EIGENVALUES_SRCS "*.h")

INSTALL(FILES
  ${Eigen_EIGENVALUES_SRCS}
  DESTINATION ${INCLUDE_INSTALL_DIR}/Eigen/src/Eigenvalues COMPONENT Devel
  )
