=== debian/changelog ===
antimony (0.9.3-2build9) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:15:31 +1100

antimony (0.9.3-2build8) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:51:44 +0000

antimony (0.9.3-2build7) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:01:38 +0000

antimony (0.9.3-2build6) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 18:55:16 +0000

antimony (0.9.3-2build5) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:45:37 +0100

antimony (0.9.3-2build4) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 25 Dec 2022 19:32:57 +0000

antimony (0.9.3-2build3) kinetic; urgency=medium

  * No-change rebuild to pick up fixed libboost-python dependencies

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 03 Sep 2022 12:02:57 +0000

antimony (0.9.3-2build2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:01:05 +0000

antimony (0.9.3-2build1) hirsute; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Dec 2020 13:02:51 +0100

antimony (0.9.3-2) unstable; urgency=medium

  * Add patch to import QPainterPath. Thanks to Tobias Frost. Closes: #975109

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Fri, 20 Nov 2020 09:45:45 -0500

antimony (0.9.3-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add 0003-Change-python-variable-in-cmake.patch closes: #951979

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Mon, 30 Mar 2020 18:27:18 +0200

antimony (0.9.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Tiago Bortoletto Vaz ]
  * Add MPL-2.0 notice to debian/copyright.
  * Add Boost license notice to debian/copyright.

  [ Håvard Flaget Aasen ]
  * Explicit build-dependency on dh-python. closes: #947326
  * Use new CMake discovery for python and boost::python. closes: #947479
    - Patch from Ubuntu.
  * This package embeds python3, and is only built against the default
    version. Change build-dependency to python3-dev.
    - Patch from Ubuntu.
  * Remove duplicated header in debian/copyright

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Mon, 06 Jan 2020 10:39:41 +0100

antimony (0.9.3-1) unstable; urgency=low

  * Initial packaging. Based on Peter Felecan <peter@felecan.org> package work
    from upstream repository. (Closes: #907435)

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Mon, 27 Aug 2018 19:20:45 -0400
