=== debian/changelog ===
antimony (0.9.3+qtbuild-1+eagle) unstable; urgency=medium

  * update

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Tue, 26 Jan 2021 20:51:20 +0800
