=== debian/control ===
Source: antimony
Section: graphics
Priority: optional
Vcs-Browser: https://salsa.debian.org/debian/antimony
Vcs-Git: https://salsa.debian.org/debian/antimony.git
Maintainer: Tiago Bortoletto Vaz <tiago@debian.org>
Build-Depends: debhelper (>= 9),
 libpng-dev,
 python3-all-dev,
 libboost-all-dev,
 libgl1-mesa-dev,
 lemon,
 flex,
 ninja-build,
 qtbase5-dev,
 libqt5opengl5-dev,
 cmake,
 desktop-file-utils,
 zlib1g-dev
Standards-Version: 4.2.0

Package: antimony
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Computer-aided design CAD tool
 Antimony is a computer-aided design (CAD) tool from a
 parallel universe in which CAD software evolved
 from Lisp machines rather than drafting tables.
 .
 Antimony provides the Python3 Fab that is
 a set of software tools for personal fabrication,
 intended for use with machines common to fab labs.
 For info about Fab visit kokompe.cba.mit.edu/.
